/*
 * (c) Copyright 2020 CORSIKA Project, corsika-project@lists.kit.edu
 *
 * See file AUTHORS for a list of contributors.
 *
 * This software is distributed under the terms of the GNU General Public
 * Licence version 3 (GPL Version 3). See file LICENSE for a full version of
 * the license.
 */

#include <stdexcept>
#include <string>

namespace corsika_data {

  // the c++ interface functions
  // void CorDataOpenFile(const char*) {
  // std::runtime_error("Cannot read compressed data files with dummy library.");
  //}
  void CorDataOpenFile(const std::string&) {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  void CorDataFillArray(double*, const int&) {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  void CorDataCloseFile() {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  double CorDataNextNumber() {
    std::runtime_error("Cannot read compressed data files with dummy library.");
    return 0;
  }
  void CorDataNextText(std::string&) {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  void CorDataNextText(char*, int) {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  bool CorDataCanDeCompress() { return false; }

  // the fortran interface functions
  extern "C" {
  void cordataopenfile_(const char* name) { CorDataOpenFile(name); }
  void cordatafillarray_(double* data, const int& length) {
    CorDataFillArray(data, length);
  }
  void cordataclosefile_() { CorDataCloseFile(); }
  double cordatanextnumber_() { return CorDataNextNumber(); }
  void cordatanexttext_(char*, int) {
    std::runtime_error("Cannot read compressed data files with dummy library.");
  }
  int cordatacandecompress_() { return 0; }
  }
} // namespace corsika_data
